import { ProcessorsOutput } from './types';
export declare class PythonProcessor {
    private pythonPath;
    constructor(pythonPath: string);
    private invokePythonHandler;
    handleSplitPdf: (filePath: string, outdir: string) => string[];
    handleSplitPptx: (filePath: string, outdir: string) => string[];
    handleMergePptx: (inputFiles: string[], outputFile: string) => string;
    handleMergePdf: (inputFiles: string[], outputFile: string) => string;
    handleMergeDocx: (inputFiles: string[], outputFile: string) => string;
}
export declare const handleCleanup: (processorOutput: ProcessorsOutput) => void;
